#pragma once

#include <QThread>


namespace qut
{


class TimerThread : public QThread
{
	Q_OBJECT

public:
	TimerThread(QObject* parent=0);

protected:
	void run();

	virtual void OnTimerHit() = 0;

private slots:
	void timerHit();
};


}
